Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 125714 - [New Package] media-video/subtitleeditor-0.7.1
Summary: [New Package] media-video/subtitleeditor-0.7.1
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://kitone.free.fr/subtitleeditor/
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay
: 143426 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-03-10 07:46 UTC by Weonbin
Modified: 2009-05-07 22:28 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
the ebuild file (subtitleeditor-0.7.1.ebuild,626 bytes, text/plain)
2006-03-10 07:50 UTC, Weonbin
Details
ebuild (subtitleeditor-0.7.1.ebuild,536 bytes, text/plain)
2006-03-11 10:27 UTC, Weonbin
Details
subtitleeditor-0.8_alpha2.ebuild (subtitleeditor-0.8_alpha2.ebuild,664 bytes, text/plain)
2006-05-07 08:31 UTC, Benoît "UBIK" Collet-Billon
Details
subtitleeditor-0.9.1.ebuild (subtitleeditor-0.9.1.ebuild,616 bytes, text/plain)
2006-07-23 09:36 UTC, Weonbin
Details
subtitleeditor-0.11_alpha1.ebuild (subtitleeditor-0.11_alpha1.ebuild,802 bytes, text/plain)
2006-10-10 06:38 UTC, Weonbin
Details
subtitleeditor-0.11.1.ebuild (subtitleeditor-0.11.1.ebuild,718 bytes, text/plain)
2006-10-30 11:53 UTC, Fabio Bonfante
Details
subtitleeditor-0.11.1-r1.ebuild (subtitleeditor-0.11.1-r1.ebuild,1.28 KB, text/plain)
2006-11-05 00:02 UTC, Alfie Parthum
Details
subtitleeditor-0.13.2.ebuild (subtitleeditor-0.13.2.ebuild,1.95 KB, text/plain)
2007-02-26 17:20 UTC, Alfie Parthum
Details
subtitleeditor-0.20.0_alpha4.ebuild (subtitleeditor-0.20.0_alpha4.ebuild,1.58 KB, text/plain)
2007-09-17 11:02 UTC, Weonbin
Details
subtitleeditor-0.20.0_alpha5.ebuild (subtitleeditor-0.20.0_alpha5.ebuild,1.58 KB, text/plain)
2007-10-06 12:26 UTC, Weonbin
Details
subtitleeditor-0.20.0_alpha5-r1.ebuild (subtitleeditor-0.20.0_alpha5-r1.ebuild,1.61 KB, text/plain)
2007-10-17 11:49 UTC, Weonbin
Details
subtitleeditor-0.20.0_alpha5-r2.ebuild (subtitleeditor-0.20.0_alpha5-r2.ebuild,1.52 KB, text/plain)
2007-10-27 13:59 UTC, Weonbin
Details
subtitleeditor-0.20.0_alpha5-r3.ebuild (subtitleeditor-0.20.0_alpha5-r3.ebuild,1.52 KB, text/plain)
2007-10-30 02:29 UTC, Weonbin
Details
subtitleeditor-0.20.0_alpha6.ebuild (subtitleeditor-0.20.0_alpha6.ebuild,1.52 KB, text/plain)
2007-11-06 05:09 UTC, Weonbin
Details
subtitleeditor-0.20.0_alpha7.ebuild (subtitleeditor-0.20.0_alpha7.ebuild,1.52 KB, text/plain)
2007-11-21 12:41 UTC, Weonbin
Details
subtitleeditor-0.20.0_alpha8.ebuild (subtitleeditor-0.20.0_alpha8.ebuild,1.52 KB, text/plain)
2007-12-15 15:24 UTC, Weonbin
Details
subtitleeditor-0.20.0.ebuild (subtitleeditor-0.20.0.ebuild,1.71 KB, text/plain)
2008-04-03 13:06 UTC, Weonbin
Details
subtitleeditor-0.21.1.ebuild.diff (subtitleeditor-0.20.0-0.21.1.diff,469 bytes, patch)
2008-06-04 18:03 UTC, Petr Pisar
Details | Diff
subtitleeditor-0.21.3.ebuild (subtitleeditor-0.21.3.ebuild,1.71 KB, text/plain)
2008-07-30 01:55 UTC, Weonbin
Details
subtitleeditor-0.25.0.ebuild (subtitleeditor-0.25.0.ebuild,1.71 KB, text/plain)
2008-10-18 05:31 UTC, Weonbin
Details
Ebuild for 0.26.0 fixing intltool (subtitleeditor-0.26.0.ebuild-intltool.diff,1.02 KB, patch)
2008-11-24 13:45 UTC, Petr Pisar
Details | Diff
subtitleeditor-0.26.0.ebuild (subtitleeditor-0.26.0.ebuild,1.63 KB, text/plain)
2008-11-24 19:39 UTC, Jouni Rinne
Details
subtitleeditor-0.26.0-r1.ebuild (subtitleeditor-0.26.0-r1.ebuild,1.46 KB, text/plain)
2008-11-24 20:24 UTC, Jouni Rinne
Details
subtitleeditor-0.26.0-r2.ebuild (subtitleeditor-0.26.0-r2.ebuild,1.45 KB, text/plain)
2008-11-24 21:59 UTC, Jouni Rinne
Details
subtitleeditor-0.30.0.ebuild (subtitleeditor-0.30.0.ebuild,1.45 KB, text/plain)
2008-12-21 20:22 UTC, Jouni Rinne
Details
Most recent version of subtitleeditor It works fine for me at amd64. In order to get videos loading inside the program, I needed to compile the gst-plugins-meta with xv use flag. (subtitleeditor-0.31.0.ebuild,1.43 KB, text/plain)
2009-04-26 15:52 UTC, Renan Manola
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Weonbin 2006-03-10 07:46:23 UTC
Hi

Here is an ebuild for (as you may have guessed) a GTK subtitle editor program that handles SRT, SSA and ASS formats.

additionnal informations can be found here :
http://kitone.free.fr/subtitleeditor/

K
Comment 1 Weonbin 2006-03-10 07:46:23 UTC
Hi

Here is an ebuild for (as you may have guessed) a GTK subtitle editor program that handles SRT, SSA and ASS formats.

additionnal informations can be found here :
http://kitone.free.fr/subtitleeditor/

Kévin FERRARE
Comment 2 Weonbin 2006-03-10 07:50:13 UTC
Created attachment 81846 [details]
the ebuild file
Comment 3 Carsten Lohrke (RETIRED) gentoo-dev 2006-03-10 09:03:39 UTC
- invalid ebuild header
Comment 4 Carsten Lohrke (RETIRED) gentoo-dev 2006-03-10 09:03:39 UTC
- invalid ebuild header¹
- GPL is not a valid license, have a look at /usr/portage/licenses
- einstall is a workaround for very broken install scripts, if possible use make DESTDIR=${D} install 
- I assume ebuild should inherit the relevant gnome eclass, gnome herd!?


[1] http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=2&chap=3
Comment 5 Carsten Lohrke (RETIRED) gentoo-dev 2006-03-10 09:06:06 UTC
forgot assigning
Comment 6 foser (RETIRED) gentoo-dev 2006-03-10 09:17:14 UTC
There is no real need for pure gtk+ apps to inherit the gnome eclass.
Comment 7 Weonbin 2006-03-11 10:27:36 UTC
Created attachment 81932 [details]
ebuild

OK, changed that
the program doesn't uses gnome so I don't think gnome eclass is needed
Comment 8 Carles Escrig 2006-04-26 08:10:03 UTC
The new 0.8 upcoming version seems very promising (waveform, gstreamer, encoding, clean code, etc.). It'd be very nice if someone could take care of this app. Now we have gsubedit in portage, but it's unmaintained and buggy and should be removed. The only two simple subtitle editors (gtk based) that I've notice of are Gaupol and SubtitleEditor. And this last one, is the only that features the creation of new subtitles from a video, watching the video and the waveform, which is a rich feature.

Developers should judge the convenience of this or that software, but seriously, gsubedit is really unstable, IMHO any of this two development soft is clearly more sane.

Thanks in advance if someone take care of this. Regards.
Comment 9 Benoît "UBIK" Collet-Billon 2006-05-07 08:31:08 UTC
Created attachment 86365 [details]
subtitleeditor-0.8_alpha2.ebuild

Version bump to 0.8-alpha2
Added a "~amd64" keyword
Comment 10 Roman Polach 2006-05-18 17:27:10 UTC
subtitleeditor-0.8_alpha2.ebuild :
gstreamer 0.10.* should be listed in dependencies
Comment 11 Roman Polach 2006-05-19 13:08:01 UTC
I mean I got this error:

checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTKMM... yes
checking for LIBGLADEMM... yes
checking for LIBGSTREAMER... ***
*** Error! you need to have gstreamer-0.10 around.
***

!!! Please attach the config.log to your bug report:
!!! /var/tmp/portage/subtitleeditor-0.8_alpha2/work/subtitleeditor-0.8-alpha2/config.log

!!! ERROR: media-video/subtitleeditor-0.8_alpha2 failed.
!!! Function econf, Line 495, Exitcode 0
!!! econf failed
!!! If you need support, post the topmost build error, NOT this status message.




----
my emerge info is:


Portage 2.0.54-r2 (default-linux/x86/2006.0, gcc-3.4.5, glibc-2.3.5-r3, 2.6.15-gentoo-r1 i686)
=================================================================
System uname: 2.6.15-gentoo-r1 i686 Intel(R) Pentium(R) 4 CPU 1.80GHz
Gentoo Base System version 1.6.14
dev-lang/python:     2.4.2
dev-python/pycrypto: 2.0-r1
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X a52 aac alsa amr apache2 apm audiofile avi bash-completion berkdb bitmap-fonts bluetooth bzip2 cairo cdparanoia cdr cli crypt cups curl dbus dri dts dv dvb dvd dvdr dvdread emboss encode exif expat fam fbcon ffmpeg firefox flac font-server foomaticdb fortran ftp gdbm gif glut gmp gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml hal iconv imagemagick imlib ipv6 isdnlog jpeg lcms ldap libg++ libwww lirc mad matroska mikmod mmx mng modplug mono mozsvg mp3 mp4 mpeg nautilus ncurses nls nptl ogg openal opengl pam pcre pdf pdflib perl png ppds pppd python quicktime readline real reflection sdl session sndfile spell spl sqlite sse sse2 ssl svg tcltk tcpd theora tiff timidity truetype truetype-fonts type1-fonts udev unicode usb v4l v4l2 vorbis win32codecs wma wmf x264 xanim xml xml2 xorg xv xvid zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS, PORTAGE_RSYNC_OPTS

Comment 12 Weonbin 2006-07-23 09:36:58 UTC
Created attachment 92555 [details]
subtitleeditor-0.9.1.ebuild

New version is out !
Comment 13 Jakub Moc (RETIRED) gentoo-dev 2006-08-10 01:02:20 UTC
*** Bug 143426 has been marked as a duplicate of this bug. ***
Comment 14 Togge 2006-08-10 04:36:40 UTC
Sorry that I missed this before I filed:
http://bugs.gentoo.org/show_bug.cgi?id=143426

Anyway that is in sunrise now if anyone cares :)
http://www.gentoo-sunrise.org/sunrise/browser/sunrise/media-video/subtitleeditor/
Comment 15 Gilles Dartiguelongue gentoo-dev 2006-08-10 05:04:28 UTC
cool, I can throw my own overlay now :)
Comment 16 Roman Polach 2006-10-10 05:45:11 UTC
Versions 0.10.1 and 0.11-alpha1 are released.
Comment 17 Weonbin 2006-10-10 06:38:02 UTC
Created attachment 99284 [details]
subtitleeditor-0.11_alpha1.ebuild

Updated ebuild for the 0.11_alpha1 version
Comment 18 Fabio Bonfante 2006-10-30 11:53:44 UTC
Created attachment 100814 [details]
subtitleeditor-0.11.1.ebuild

"little" version bump... compile and works on my amd64
Comment 19 Alfie Parthum 2006-11-05 00:02:23 UTC
Created attachment 101256 [details]
subtitleeditor-0.11.1-r1.ebuild

I made a fresh ebuild based off the previous one, with a couple fixed deps, and some USE flags (N.B. experimental cairo support).  Seems to work for me on x86 (although I don't seem to have video playback, probably thanks to either enabling the cairo support or having very very recent versions of some of the deps).
Comment 20 Steve Dibb (RETIRED) gentoo-dev 2006-11-28 19:30:42 UTC
(In reply to comment #9)
> I mean I got this error:
> 
> checking for i686-pc-linux-gnu-pkg-config... no
> checking for pkg-config... /usr/bin/pkg-config
> checking pkg-config is at least version 0.9.0... yes
> checking for GTKMM... yes
> checking for LIBGLADEMM... yes
> checking for LIBGSTREAMER... ***
> *** Error! you need to have gstreamer-0.10 around.
> ***
> 
> !!! Please attach the config.log to your bug report:
> !!!
> /var/tmp/portage/subtitleeditor-0.8_alpha2/work/subtitleeditor-0.8-alpha2/config.log
> 
> !!! ERROR: media-video/subtitleeditor-0.8_alpha2 failed.
> !!! Function econf, Line 495, Exitcode 0
> !!! econf failed
> !!! If you need support, post the topmost build error, NOT this status message.


I'm getting the same thing on 0.12.2
Comment 21 Alex Tarkovsky 2006-12-11 21:43:58 UTC
(In reply to comment #18)
> I'm getting the same thing on 0.12.2

Try the current ebuild in Sunrise, it should solve the issue for you.
Comment 22 Alfie Parthum 2007-02-26 17:20:53 UTC
Created attachment 111329 [details]
subtitleeditor-0.13.2.ebuild

Newer ebuild for latest version.

Added in flags for nls and test/cppunit, checks for utf8 in libpcre, and updated the deps a bit.

Let me know if I'm doing it wrong.
Comment 23 Alexis Ballier gentoo-dev 2007-03-01 13:29:11 UTC
> Let me know if I'm doing it wrong.

Thanks for the ebuild but there is something I dont like there : 


# Sandbox violations, wooooo yayyy!
	export GST_REGISTRY="${T}/home/registry.cache.xml"
	addpredict "${ROOT}root/.gconf"
	addpredict "${ROOT}root/.gconfd"


isnt it possible to patch it so that it doesnt try to write out of its sandbox ? 
Comment 24 Alfie Parthum 2007-03-01 23:24:34 UTC
That's what I thought, but I sure showed me.

When I revised the ebuild for v0.13.2, I got sandbox violations and they worked fine after copying the lines out of the sunrise overlay's ebuild.

Now... I take them out, and there's no problem, so I don't know what test is doing it or whatever.  Hm.

I really can't say why these lines may or may not be needed.
Comment 25 Weonbin 2007-09-17 11:02:36 UTC
Created attachment 131139 [details]
subtitleeditor-0.20.0_alpha4.ebuild
Comment 26 Jan Kucera 2007-10-06 09:52:11 UTC
Can't compile last version (0.20.0_alpha4)

checking for LIBXML... configure: error: Package requirements (libxml++-2.6 >= 2.10) were not met:

No package 'libxml++-2.6' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBXML_CFLAGS
and LIBXML_LIBS to avoid the need to call pkg-config.

I have stable libxml2 version 2.6.28
----------------------------

emerge --info

Portage 2.1.3.9 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.5-r4, 2.6.22-gentoo-r5 i686)
=================================================================
System uname: 2.6.22-gentoo-r5 i686 Genuine Intel(R) CPU T2300 @ 1.66GHz
Timestamp of tree: Mon, 01 Oct 2007 17:00:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p17
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.21
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LINGUAS="en cs"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa berkdb bitmap-fonts cli cracklib crypt cups dri fortran gdbm gpm hal iconv isdnlog kde midi mudflap ncurses nls nptl nptlonly nvidia openmp oss pam pcre perl pppd python readline reflection session spl ssl tcpd truetype-fonts type1-fonts unicode x86 xorg zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en cs" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
See the pkg-config man page for more details.
Comment 27 Weonbin 2007-10-06 12:26:29 UTC
Created attachment 132720 [details]
subtitleeditor-0.20.0_alpha5.ebuild

New version is out
I don't know about the libxml bug, it compiles with dev-libs/libxml2-2.6.30 installed here.

Could you try with this version ?
Comment 28 Jan Kucera 2007-10-07 21:39:26 UTC
(In reply to comment #27)
> Could you try with this version ? 
> 

I get same error with your new ebuild and with libxml2-2.6.30..


Comment 29 Fabrício Nihues 2007-10-17 03:22:45 UTC
I've got the same error, then I found this...
Look the error... he needs libxml++ not libxml, so

=dev-cpp/libxmlpp-2.13.1
(with 2.20 got error)


the ebuild should depend on this package too


(In reply to comment #26)
> Can't compile last version (0.20.0_alpha4)
> 
> checking for LIBXML... configure: error: Package requirements (libxml++-2.6 >=
> 2.10) were not met:
> 
> No package 'libxml++-2.6' found
Comment 30 Weonbin 2007-10-17 11:49:03 UTC
Created attachment 133667 [details]
subtitleeditor-0.20.0_alpha5-r1.ebuild

Updated the ebuild to depend of >=dev-cpp/libxmlpp-2.10.

Would be nice to have that in the portage main tree as it's one of the best subtitle editor for linux (and the best comapred to all the other one in portage)
Comment 31 Jan Kucera 2007-10-27 10:14:49 UTC
Emerging new ebuild works, but unfortunatelly I can't open any movie.
Program build new dialog window with text:

Failed to create a Gstreamer text overlay (textoverlay).

and program become inactive. I am using latest media-libs/gstreamer(0.10.14).    Any hint or someone with the same problem?
Comment 32 Weonbin 2007-10-27 13:59:05 UTC
Created attachment 134483 [details]
subtitleeditor-0.20.0_alpha5-r2.ebuild

Latest version must be used with >=dev-cpp/gtkmm-2.10
Cairo is used by default, removed the warning

Jan : I'm using gstreamer 0.10.12, and I have no problem opening videos, but I'm not the developper of this application
Comment 33 gentoo.bugzilla.xmj8 2007-10-28 21:15:40 UTC
(In reply to comment #31)
> Failed to create a Gstreamer text overlay (textoverlay).

Jan, emerge media-plugins/gst-plugins-pango. After that video playback works, but video is jerky and strangely coloured (well, at least for me).
Comment 34 Weonbin 2007-10-30 02:29:07 UTC
Created attachment 134673 [details]
subtitleeditor-0.20.0_alpha5-r3.ebuild

Added media-plugins/gst-plugins-pango in the list of dependencies, should fix the textoverlay error
Comment 35 Weonbin 2007-11-06 05:09:37 UTC
Created attachment 135313 [details]
subtitleeditor-0.20.0_alpha6.ebuild

0.20.0_alpha6 version bump
Comment 36 Weonbin 2007-11-21 12:41:50 UTC
Created attachment 136606 [details]
subtitleeditor-0.20.0_alpha7.ebuild

version bump
Comment 37 Weonbin 2007-12-15 15:24:21 UTC
Created attachment 138546 [details]
subtitleeditor-0.20.0_alpha8.ebuild

0.20.0_alpha8 version bump !
Comment 38 Bartek 'Paczesiowa' Cwiklowski 2008-02-27 23:56:27 UTC
I cannot compile it anymore:

checking whether libpcre was compiled with UTF-8 support... no
configure: error: pcre does not support utf-8

libpcre does have unicode flag

emerge --info
Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.2.3, glibc-2.7-r1, 2.6.24-tuxonice-r2 i686)
=================================================================
System uname: 2.6.24-tuxonice-r2 i686 AMD Athlon XP-M
Timestamp of tree: Wed, 27 Feb 2008 22:16:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.5
dev-lang/python:     2.4.4-r4, 2.5.1-r5
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.24
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.intergenia.de http://gentoo.prz.rzeszow.pl"
LANG="pl_PL"
LC_ALL="pl_PL.UTF-8"
LINGUAS="pl"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/vmware /usr/portage/local/layman/java-overlay /usr/portage/local/layman/kde /usr/portage/local/layman/haskell /usr/portage/local"
SYNC="rsync://192.168.0.1/gentoo-portage"
USE="kdeenablefinal kdehiddenvisibility nls nptl nptlonly profile unicode x86" ALSA_CARDS="emu10k1x" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 39 Bartek 'Paczesiowa' Cwiklowski 2008-04-01 20:25:32 UTC
libpcre needs cxx flag (otherwise configure fails - ld: cannot find -lpcrecpp)
Comment 40 Weonbin 2008-04-03 13:06:10 UTC
Created attachment 148219 [details]
subtitleeditor-0.20.0.ebuild

Version bump.
Specified that libpcre needed to be compiled with the cxx use flag
Comment 41 Petr Pisar 2008-06-04 18:03:51 UTC
Created attachment 155531 [details, diff]
subtitleeditor-0.21.1.ebuild.diff

Version 0.21.1 has been released by developers. Attached is patch for ebuild against subtitleeditor-0.20.0.ebuild. It emerges and runs successfully for me.
Comment 42 Petr Pisar 2008-06-17 17:15:03 UTC
0.21.2 is out. Ebuild for 0.21.1 works fine.
Comment 43 John J. Aylward 2008-07-29 22:29:27 UTC
0.21.3 is out
Comment 44 Weonbin 2008-07-30 01:55:48 UTC
Created attachment 161682 [details]
subtitleeditor-0.21.3.ebuild

Version bump
Comment 45 Weonbin 2008-10-18 05:31:32 UTC
Created attachment 168880 [details]
subtitleeditor-0.25.0.ebuild

Version 0.25.0 is out !

Lots of improvements
Comment 46 Petr Pisar 2008-10-19 17:19:24 UTC
Comment on attachment 155531 [details, diff]
subtitleeditor-0.21.1.ebuild.diff

superseded by newer program versions
Comment 47 Stefano Carignano 2008-11-21 14:59:37 UTC
Versions 0.26.0 and 0.30 alpha1 have been released. Simply renaming older ebuild leads to (different) compile errors in both cases. For 0.26 I get

make[1]: Entering directory `/var/tmp/portage/media-video/subtitleeditor-0.26.0/work/subtitleeditor-0.26.0'
Making all in m4
make[2]: Entering directory `/var/tmp/portage/media-video/subtitleeditor-0.26.0/work/subtitleeditor-0.26.0/m4'
make[2]: *** No rule to make target `../m4/intltool.m4', needed by `Makefile.in'.  Stop.
make[2]: Leaving directory `/var/tmp/portage/media-video/subtitleeditor-0.26.0/work/subtitleeditor-0.26.0/m4'
make[1]: *** [all-recursive] Error 1
Comment 48 Jouni Rinne 2008-11-24 12:27:55 UTC
The 0.25.0 ebuild has some dependencies missing:

RDEPEND="${DEPEND}
-    >=media-plugins/gst-plugins-ffmpeg-0.10"
+    >=media-plugins/gst-plugins-ffmpeg-0.10
+    >=media-plugins/gst-plugins-alsa-0.10
+    >=media-plugins/gst-plugins-xvideo-0.10"

The above of course supposes that you are using alsa as the sound output, and xv as the video output. Maybe there should be added a bunch of USE-flags to let the user to control these output plugins (i.e. alsa, oss, esd, sdl, xv...)?

I'll try to work on 0.26.0 ebuild soon
Comment 49 Petr Pisar 2008-11-24 13:45:56 UTC
Created attachment 173216 [details, diff]
Ebuild for 0.26.0 fixing intltool

This patch enables 0.26.0 compilation based on 0.25.0 ebuild.

For unknown reason m4/intltool.m4 has been omitted from 0.26.0 tar ball. This fix calls intltoolize to get missing file.

I will submit bug report to upstream.
Comment 50 Jouni Rinne 2008-11-24 19:39:57 UTC
Created attachment 173255 [details]
subtitleeditor-0.26.0.ebuild

Here's a new, updated and cleaned-out ebuild for media-video/subtitleeditor-0.26.0. Enjoy!
There's annoyingly little information about which gst-plugin does what, so if I got the plugins wrong, please inform me. I didn't test every possible combination.
Comment 51 Jouni Rinne 2008-11-24 19:41:17 UTC
Oh, and thanks to Petr for the intltool fix!
Comment 52 Jouni Rinne 2008-11-24 20:24:22 UTC
Created attachment 173259 [details]
subtitleeditor-0.26.0-r1.ebuild

Okay, one thing I didn't test initially was the app-text/enchant support. It is now a required dependency, instead of optional as before. Fixed the ebuild accordingly.
Comment 53 Petr Pisar 2008-11-24 21:13:18 UTC
I think the "x-nocv" USE flag should be just "X". The same semantics (X as plain X11 output) uses mplayer.

BTW, the bug with missing m4/intltool.m4 has been fixed in upstream and it should be O.k. in next release.
Comment 54 Stefano Carignano 2008-11-24 21:32:31 UTC
Thanks everyone for the ebuilds,
still, starting from version 0.25 the program is unable to save any subtitle file which contains letters with accents. The error message it prints to console is

(subtitleeditor:8292): glibmm-CRITICAL **: 
unhandled exception (type Glib::Error) in signal handler:
domain: g_convert_error
code  : 1
what  : Invalid byte sequence in conversion input

exporting LC_ALL to "en_US.UTF-8" before launching the program prevents this from happening (normally mine is set to "C").
Don't know if this is directly related to subtitleeditor, yet I thought it was worth mentioning!
Comment 55 Petr Pisar 2008-11-24 21:54:56 UTC
(In reply to comment #54)
> still, starting from version 0.25 the program is unable to save any subtitle
> file which contains letters with accents.
[...]
> exporting LC_ALL to "en_US.UTF-8" before launching the program prevents this
> from happening (normally mine is set to "C").

You are free to submit bug report to subtitleeditor developers on <https://gna.org/bugs/?group=subtitleeditor>.

However I think it's quite expectable glitch. The "C" locale is very weakly defined. I read somewhere that C locale is supposed to support only traditional ASCII where most of accented letters is missing. So the message says the right reason: Unicode letter can not be presented in C locale and thus can not be converted to any existing encoding.
Comment 56 Jouni Rinne 2008-11-24 21:57:26 UTC
Petr, you're right, the gst-plugins-meta-package seems to pull gst-plugins-x
with "X"-flag, too.

Anyway, I think the use of "X"-use-flag is somewhat confusing; for some
packages it means "compile-with-X-server-support" i.e. X-window GUI, for others
it means "compile-with-X-only-video-output" and so on...

Because I have enabled the "X"-use-flag globally, now I have to explicitly
disable the unnecessary x-output support in subtitleeditor... Oh well, maybe
I'll fix the ebuild again...
Comment 57 Jouni Rinne 2008-11-24 21:59:07 UTC
Created attachment 173279 [details]
subtitleeditor-0.26.0-r2.ebuild
Comment 58 kitone 2008-11-24 22:03:04 UTC
(In reply to comment #54)
> exporting LC_ALL to "en_US.UTF-8" before launching the program prevents this
> from happening (normally mine is set to "C").
> Don't know if this is directly related to subtitleeditor, yet I thought it was
> worth mentioning!

Hi, I'm the subtitleeditor developer.

It's a subtitleeditor problem when the local is not UTF-8. Good news, it's already fixed in the trunk branch. The 0.30.0 will be release soon. 

Best regards,
kitone


Comment 59 Stefano Carignano 2008-12-21 14:29:35 UTC
 0.30.0 has been released ! Simply renaming 0.26.0-r2 ebuild works for me. many thanks to the author and happy subbing to everyone :> 

Comment 60 Jouni Rinne 2008-12-21 20:22:14 UTC
Created attachment 176082 [details]
subtitleeditor-0.30.0.ebuild

Subtitleeditor-0.30.0 ebuild. Any changes to get this in portage some day :)?
Comment 61 Jouni Rinne 2008-12-21 20:23:43 UTC
Awww... s/change/chance
Comment 62 Matías Graña 2008-12-29 02:14:56 UTC
I just downloaded the 0.30.0.ebuild and couldn't compile it, as there is a sandbox violation:
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-9213.log"

mkdir:     /root/.gconf
mkdir:     /root/.gconfd
open_wr:   /root/.gconfd/saved_state
mkdir:     /root/.gconfd
open_wr:   /root/.gconfd/saved_state
mkdir:     /root/.gconfd
open_wr:   /root/.gconfd/saved_state
mkdir:     /root/.gconfd
open_wr:   /root/.gconfd/saved_state.tmp
--------------------------------------------------------------------------------

I added the lines in comment #23:

# Sandbox violations, wooooo yayyy!
        export GST_REGISTRY="${T}/home/registry.cache.xml"
        addpredict "${ROOT}root/.gconf"
        addpredict "${ROOT}root/.gconfd"

and then everything went fine.
Comment 63 Jouni Rinne 2008-12-29 07:43:47 UTC
Strange, it works here without sandbox complaining. What version of sandbox are you using?
Comment 64 Matías Graña 2008-12-29 11:40:40 UTC
I am using sandbox-1.2.18.1-r2. I have never messed with sandbox, it got updated regularly as ebuilds became stable. Should I use a ~x86 version?
Comment 65 Petr Pisar 2009-01-04 21:00:11 UTC
(In reply to comment #64)
> I am using sandbox-1.2.18.1-r2.

I have the same sandbox and I have no problem. (Note I'm using
sys-apps/portage-2.1.6.4 and FEATURES="userpriv usersandbox".)
Comment 66 Gilles Dartiguelongue gentoo-dev 2009-02-01 10:48:06 UTC
*subtitleeditor-0.30.0 (01 Feb 2009)

  01 Feb 2009; Gilles Dartiguelongue <eva@gentoo.org> +metadata.xml,
  +subtitleeditor-0.30.0.ebuild:
  Initial commit of subtitleeditor, thanks for contributors of bug #125714.
  Adding gnome as backing herd, maintained by <eva@gentoo.org>.

if you have any bug with the version I just commited to portage, please open a new bug and assign it to me.
Comment 67 Renan Manola 2009-04-26 15:52:11 UTC
Created attachment 189523 [details]
Most recent version of subtitleeditor

It works fine for me at amd64.

In order to get videos loading inside the program, I needed to compile the gst-plugins-meta with xv use flag.

The most recent version of the program, relased less than a week ago. I just used the previous ebuild and changed the file name.
Comment 68 Gilles Dartiguelongue gentoo-dev 2009-04-26 18:28:29 UTC
Reporting for something new in a closed bug is innappropriate, please open a new bug report.

0.31.1 hasn't been pushed to the tree yet because at the time it was released it wasn't uploaded to the usual place.
Comment 69 Charles de Noyelle 2009-05-07 22:28:45 UTC
(In reply to comment #34)
> Created an attachment (id=134673) [edit]
> subtitleeditor-0.20.0_alpha5-r3.ebuild
> 
> Added media-plugins/gst-plugins-pango in the list of dependencies, should fix
> the textoverlay error
> 

I emerged media-video/subtitleeditor and the dependency did not come with the package. I emerged it by hand, and the "Failed to create a Gstreamer text overlay (textoverlay)." error was corrected.